Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1457735 - Review Request: rubygem-iniparse - Ruby library for parsing INI documents
Summary: Review Request: rubygem-iniparse - Ruby library for parsing INI documents
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: František Dvořák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 1457737
TreeView+ depends on / blocked
 
Reported: 2017-06-01 08:28 UTC by Steve Traylen
Modified: 2017-07-31 11:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-31 11:23:23 UTC


Attachments (Terms of Use)

Description Steve Traylen 2017-06-01 08:28:00 UTC
Spec URL: http://cern.ch/straylen/rpms/rubygem-iniparse/rubygem-iniparse.spec
SRPM URL: http://straylen.web.cern.ch/straylen/rpms/rubygem-iniparse/rubygem-iniparse-1.4.2-1.fc27.noarch.rpm
Description:  Ruby library for parsing INI documents
Fedora Account System Username: stevetraylen

Comment 1 František Dvořák 2017-06-20 12:32:26 UTC
Hi,

there are some issues to look at:

* tests are not inside the gem and needs to be obtained separately, example how to do that: http://fedoraproject.org/wiki/Packaging:Ruby#Test_suites_not_included_in_the_package

* there is a new version of iniparse gem 1.4.3

Would you be interested in review swap for https://bugzilla.redhat.com/show_bug.cgi?id=1450144 (rubygem-yell)? Simple package, with compatibility macros for EPEL 7.

Thanks,
  Frantisek

Comment 2 František Dvořák 2017-07-20 07:54:34 UTC
Is there a problem with the review, or only more time is needed?

The tests not included in gems are quite common, so it is a standard way in many rubygem packages to pack them separately:

  http://pkgs.fedoraproject.org/cgit/rpms/rubygem-factory_girl.git/plain/rubygem-factory_girl.spec
  http://pkgs.fedoraproject.org/cgit/rpms/rubygem-nenv.git/plain/rubygem-nenv.spec

The review swap is not needed, but welcomed :-)

Comment 3 František Dvořák 2017-07-31 11:23:23 UTC
This review seems dead, closing according to https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews . Please reopen, if needed.


Note You need to log in before you can comment on or make changes to this bug.